---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Widget Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Widget.html">Widget</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classtgui_1_1Widget-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Widget Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>The parent class for every widget.  
 <a href="classtgui_1_1Widget.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Widget_8hpp_source.html">Widget.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tgui::Widget:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1Widget.png" usemap="#tgui::Widget_map" alt=""/>
  <map id="tgui::Widget_map" name="tgui::Widget_map">
<area href="classtgui_1_1Transformable.html" alt="tgui::Transformable" shape="rect" coords="248,0,486,24"/>
<area href="classtgui_1_1SignalWidgetBase.html" title="Base class for widgets to enable signal handling. " alt="tgui::SignalWidgetBase" shape="rect" coords="496,0,734,24"/>
<area href="classtgui_1_1ChatBox.html" alt="tgui::ChatBox" shape="rect" coords="620,112,858,136"/>
<area href="classtgui_1_1ClickableWidget.html" title="Clickable widget. " alt="tgui::ClickableWidget" shape="rect" coords="620,168,858,192"/>
<area href="classtgui_1_1ComboBox.html" title="Combo box widget. " alt="tgui::ComboBox" shape="rect" coords="620,224,858,248"/>
<area href="classtgui_1_1Container.html" title="Container widget. " alt="tgui::Container" shape="rect" coords="620,280,858,304"/>
<area href="classtgui_1_1Knob.html" title="Knob widget. " alt="tgui::Knob" shape="rect" coords="620,336,858,360"/>
<area href="classtgui_1_1ListBox.html" title="List box widget. " alt="tgui::ListBox" shape="rect" coords="620,392,858,416"/>
<area href="classtgui_1_1MenuBar.html" title="Menu bar widget. " alt="tgui::MenuBar" shape="rect" coords="620,448,858,472"/>
<area href="classtgui_1_1Scrollbar.html" title="Scrollbar widget. " alt="tgui::Scrollbar" shape="rect" coords="620,504,858,528"/>
<area href="classtgui_1_1Slider.html" title="Slider widget. " alt="tgui::Slider" shape="rect" coords="620,560,858,584"/>
<area href="classtgui_1_1Tab.html" title="Tab widget. " alt="tgui::Tab" shape="rect" coords="620,616,858,640"/>
<area href="classtgui_1_1TextBox.html" title="Text box widget. " alt="tgui::TextBox" shape="rect" coords="620,672,858,696"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a388912f13898735531886bc676b14f81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a388912f13898735531886bc676b14f81"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Ptr</a></td></tr>
<tr class="memdesc:a388912f13898735531886bc676b14f81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a388912f13898735531886bc676b14f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa9564fad89042e53af59e7a0063b1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaa9564fad89042e53af59e7a0063b1f"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aeaa9564fad89042e53af59e7a0063b1f">ConstPtr</a></td></tr>
<tr class="memdesc:aeaa9564fad89042e53af59e7a0063b1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:aeaa9564fad89042e53af59e7a0063b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a60c5722d15d0733f6743bf57c86d1c6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60c5722d15d0733f6743bf57c86d1c6a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a60c5722d15d0733f6743bf57c86d1c6a">Widget</a> ()</td></tr>
<tr class="memdesc:a60c5722d15d0733f6743bf57c86d1c6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a60c5722d15d0733f6743bf57c86d1c6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662b5e56609f23b2bbff81cbaa5787e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a662b5e56609f23b2bbff81cbaa5787e2">Widget</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;copy)</td></tr>
<tr class="memdesc:a662b5e56609f23b2bbff81cbaa5787e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a662b5e56609f23b2bbff81cbaa5787e2">More...</a><br /></td></tr>
<tr class="separator:a662b5e56609f23b2bbff81cbaa5787e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34221ef4742371e8f7e2c40a8881404"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af34221ef4742371e8f7e2c40a8881404"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af34221ef4742371e8f7e2c40a8881404">~Widget</a> ()</td></tr>
<tr class="memdesc:af34221ef4742371e8f7e2c40a8881404"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:af34221ef4742371e8f7e2c40a8881404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97362423551dca5b90e86fc63ddc3eca"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">operator=</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;right)</td></tr>
<tr class="memdesc:a97362423551dca5b90e86fc63ddc3eca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a97362423551dca5b90e86fc63ddc3eca">More...</a><br /></td></tr>
<tr class="separator:a97362423551dca5b90e86fc63ddc3eca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d296b4082518366caeb0d3101d0320f"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a6d296b4082518366caeb0d3101d0320f">getRenderer</a> () const </td></tr>
<tr class="memdesc:a6d296b4082518366caeb0d3101d0320f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#a6d296b4082518366caeb0d3101d0320f">More...</a><br /></td></tr>
<tr class="separator:a6d296b4082518366caeb0d3101d0320f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a299706f20b12cbe65422c6e53493e12d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a299706f20b12cbe65422c6e53493e12d">setPosition</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;position) override</td></tr>
<tr class="memdesc:a299706f20b12cbe65422c6e53493e12d"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a299706f20b12cbe65422c6e53493e12d">More...</a><br /></td></tr>
<tr class="separator:a299706f20b12cbe65422c6e53493e12d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa780b3b9e657ea6b3acecd2045593cca"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aa780b3b9e657ea6b3acecd2045593cca">setSize</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size) override</td></tr>
<tr class="memdesc:aa780b3b9e657ea6b3acecd2045593cca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#aa780b3b9e657ea6b3acecd2045593cca">More...</a><br /></td></tr>
<tr class="separator:aa780b3b9e657ea6b3acecd2045593cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59112dbb748fa92647ef86b823c227f1"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a59112dbb748fa92647ef86b823c227f1">getAbsolutePosition</a> () const </td></tr>
<tr class="memdesc:a59112dbb748fa92647ef86b823c227f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the absolute position of the widget instead of the relative position to its parent.  <a href="#a59112dbb748fa92647ef86b823c227f1">More...</a><br /></td></tr>
<tr class="separator:a59112dbb748fa92647ef86b823c227f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3881afdad82cf8c2bd12f36238c04fe"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae3881afdad82cf8c2bd12f36238c04fe">show</a> ()</td></tr>
<tr class="memdesc:ae3881afdad82cf8c2bd12f36238c04fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget.  <a href="#ae3881afdad82cf8c2bd12f36238c04fe">More...</a><br /></td></tr>
<tr class="separator:ae3881afdad82cf8c2bd12f36238c04fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71432e6c38c2110991cd3856cf74670b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a71432e6c38c2110991cd3856cf74670b">showWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a71432e6c38c2110991cd3856cf74670b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget by introducing it with an animation.  <a href="#a71432e6c38c2110991cd3856cf74670b">More...</a><br /></td></tr>
<tr class="separator:a71432e6c38c2110991cd3856cf74670b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4234b30173259e7b5082a58a9f0e2ca6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6">hide</a> ()</td></tr>
<tr class="memdesc:a4234b30173259e7b5082a58a9f0e2ca6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget.  <a href="#a4234b30173259e7b5082a58a9f0e2ca6">More...</a><br /></td></tr>
<tr class="separator:a4234b30173259e7b5082a58a9f0e2ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bcb2d85d7e449ef7305771256ec79bf"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf">hideWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a9bcb2d85d7e449ef7305771256ec79bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget by making it leave with an animation.  <a href="#a9bcb2d85d7e449ef7305771256ec79bf">More...</a><br /></td></tr>
<tr class="separator:a9bcb2d85d7e449ef7305771256ec79bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30d0e386c262c5e830fdcc994584993"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ac30d0e386c262c5e830fdcc994584993">isVisible</a> () const </td></tr>
<tr class="memdesc:ac30d0e386c262c5e830fdcc994584993"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is visible.  <a href="#ac30d0e386c262c5e830fdcc994584993">More...</a><br /></td></tr>
<tr class="separator:ac30d0e386c262c5e830fdcc994584993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4ded5b008224a33623171ad2558168"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a8f4ded5b008224a33623171ad2558168">enable</a> ()</td></tr>
<tr class="memdesc:a8f4ded5b008224a33623171ad2558168"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the widget.  <a href="#a8f4ded5b008224a33623171ad2558168">More...</a><br /></td></tr>
<tr class="separator:a8f4ded5b008224a33623171ad2558168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41615622bd4eb42fee629dd408bce7d4"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a41615622bd4eb42fee629dd408bce7d4">disable</a> (bool blockMouseEvents=true)</td></tr>
<tr class="memdesc:a41615622bd4eb42fee629dd408bce7d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the widget.  <a href="#a41615622bd4eb42fee629dd408bce7d4">More...</a><br /></td></tr>
<tr class="separator:a41615622bd4eb42fee629dd408bce7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6770fc71c644b645bf28f31c4efd2d1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af6770fc71c644b645bf28f31c4efd2d1">isEnabled</a> () const </td></tr>
<tr class="memdesc:af6770fc71c644b645bf28f31c4efd2d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is enabled.  <a href="#af6770fc71c644b645bf28f31c4efd2d1">More...</a><br /></td></tr>
<tr class="separator:af6770fc71c644b645bf28f31c4efd2d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826330401141b9946307a5f4e3d1e988"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988">focus</a> ()</td></tr>
<tr class="memdesc:a826330401141b9946307a5f4e3d1e988"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focus the widget.  <a href="#a826330401141b9946307a5f4e3d1e988">More...</a><br /></td></tr>
<tr class="separator:a826330401141b9946307a5f4e3d1e988"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc53e1f70feeeb498c042d7d741528c9"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9">unfocus</a> ()</td></tr>
<tr class="memdesc:afc53e1f70feeeb498c042d7d741528c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unfocus the widget.  <a href="#afc53e1f70feeeb498c042d7d741528c9">More...</a><br /></td></tr>
<tr class="separator:afc53e1f70feeeb498c042d7d741528c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9a2f1246195375dea450655b23cdf6d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af9a2f1246195375dea450655b23cdf6d">isFocused</a> () const </td></tr>
<tr class="memdesc:af9a2f1246195375dea450655b23cdf6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is focused and false otherwise.  <a href="#af9a2f1246195375dea450655b23cdf6d">More...</a><br /></td></tr>
<tr class="separator:af9a2f1246195375dea450655b23cdf6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f98861e54bde43ccab0abe5733bfff"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a52f98861e54bde43ccab0abe5733bfff">getWidgetType</a> () const </td></tr>
<tr class="memdesc:a52f98861e54bde43ccab0abe5733bfff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the widget.  <a href="#a52f98861e54bde43ccab0abe5733bfff">More...</a><br /></td></tr>
<tr class="separator:a52f98861e54bde43ccab0abe5733bfff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf4e57ff28230753afe8197e8945a3a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Container.html">Container</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0cf4e57ff28230753afe8197e8945a3a">getParent</a> () const </td></tr>
<tr class="memdesc:a0cf4e57ff28230753afe8197e8945a3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the parent widget.  <a href="#a0cf4e57ff28230753afe8197e8945a3a">More...</a><br /></td></tr>
<tr class="separator:a0cf4e57ff28230753afe8197e8945a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc86b091f871010533312fe77cbc2f78"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#abc86b091f871010533312fe77cbc2f78">setOpacity</a> (float opacity)</td></tr>
<tr class="memdesc:abc86b091f871010533312fe77cbc2f78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the opacity of the widget.  <a href="#abc86b091f871010533312fe77cbc2f78">More...</a><br /></td></tr>
<tr class="separator:abc86b091f871010533312fe77cbc2f78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab7b54eb87d1c7b28ad36fa5a8281ec"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a7ab7b54eb87d1c7b28ad36fa5a8281ec">getOpacity</a> () const </td></tr>
<tr class="memdesc:a7ab7b54eb87d1c7b28ad36fa5a8281ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the opacity of the widget.  <a href="#a7ab7b54eb87d1c7b28ad36fa5a8281ec">More...</a><br /></td></tr>
<tr class="separator:a7ab7b54eb87d1c7b28ad36fa5a8281ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98fd0f08b45e3e54b9054965060136dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98fd0f08b45e3e54b9054965060136dd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a98fd0f08b45e3e54b9054965060136dd">moveToFront</a> ()</td></tr>
<tr class="memdesc:a98fd0f08b45e3e54b9054965060136dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget before all other widgets. <br /></td></tr>
<tr class="separator:a98fd0f08b45e3e54b9054965060136dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15e7d3570551c72d9a4d9534ac7a7f19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15e7d3570551c72d9a4d9534ac7a7f19"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a15e7d3570551c72d9a4d9534ac7a7f19">moveToBack</a> ()</td></tr>
<tr class="memdesc:a15e7d3570551c72d9a4d9534ac7a7f19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget behind all other widgets. <br /></td></tr>
<tr class="separator:a15e7d3570551c72d9a4d9534ac7a7f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f30ef364bf7594ec209688a9b43ec5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae4f30ef364bf7594ec209688a9b43ec5">setToolTip</a> (<a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> toolTip)</td></tr>
<tr class="memdesc:ae4f30ef364bf7594ec209688a9b43ec5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the tool tip that should be displayed when hovering over the widget.  <a href="#ae4f30ef364bf7594ec209688a9b43ec5">More...</a><br /></td></tr>
<tr class="separator:ae4f30ef364bf7594ec209688a9b43ec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6e54fbaba931d0bb8eb0404e2e1c22"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0e6e54fbaba931d0bb8eb0404e2e1c22">getToolTip</a> ()</td></tr>
<tr class="memdesc:a0e6e54fbaba931d0bb8eb0404e2e1c22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the tool tip that is displayed when hovering over the widget.  <a href="#a0e6e54fbaba931d0bb8eb0404e2e1c22">More...</a><br /></td></tr>
<tr class="separator:a0e6e54fbaba931d0bb8eb0404e2e1c22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b814d5ba9c02a9448fa0d0810bcfeba"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0b814d5ba9c02a9448fa0d0810bcfeba">setFont</a> (const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;font)</td></tr>
<tr class="memdesc:a0b814d5ba9c02a9448fa0d0810bcfeba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the font of the text in the widget.  <a href="#a0b814d5ba9c02a9448fa0d0810bcfeba">More...</a><br /></td></tr>
<tr class="separator:a0b814d5ba9c02a9448fa0d0810bcfeba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec2d0dec0156536b93216797de49b497"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; sf::Font &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aec2d0dec0156536b93216797de49b497">getFont</a> () const </td></tr>
<tr class="memdesc:aec2d0dec0156536b93216797de49b497"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the font associated with the widget (if any)  <a href="#aec2d0dec0156536b93216797de49b497">More...</a><br /></td></tr>
<tr class="separator:aec2d0dec0156536b93216797de49b497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62bbecb4ba75342b22786502e5383ac5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a62bbecb4ba75342b22786502e5383ac5">detachTheme</a> ()</td></tr>
<tr class="memdesc:a62bbecb4ba75342b22786502e5383ac5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detach the theme from the widget.  <a href="#a62bbecb4ba75342b22786502e5383ac5">More...</a><br /></td></tr>
<tr class="separator:a62bbecb4ba75342b22786502e5383ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bb8483e23d877c386d632ca7ca2879"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ab5bb8483e23d877c386d632ca7ca2879">getTheme</a> () const </td></tr>
<tr class="memdesc:ab5bb8483e23d877c386d632ca7ca2879"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the theme to which the widget is currently connected.  <a href="#ab5bb8483e23d877c386d632ca7ca2879">More...</a><br /></td></tr>
<tr class="separator:ab5bb8483e23d877c386d632ca7ca2879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32ce148343fd2a0f59d6dbcc3028883"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aa32ce148343fd2a0f59d6dbcc3028883">getPrimaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:aa32ce148343fd2a0f59d6dbcc3028883"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the primary parameter that was passed to the loader to load this widget.  <a href="#aa32ce148343fd2a0f59d6dbcc3028883">More...</a><br /></td></tr>
<tr class="separator:aa32ce148343fd2a0f59d6dbcc3028883"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97e7325f223c7c49105b3b859542b652"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97e7325f223c7c49105b3b859542b652">getSecondaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:a97e7325f223c7c49105b3b859542b652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the secondary parameter that was passed to the loader to load this widget.  <a href="#a97e7325f223c7c49105b3b859542b652">More...</a><br /></td></tr>
<tr class="separator:a97e7325f223c7c49105b3b859542b652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569db174bec35957e0150f14b25a6423"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a569db174bec35957e0150f14b25a6423">getWidgetOffset</a> () const </td></tr>
<tr class="memdesc:a569db174bec35957e0150f14b25a6423"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the distance between the position where the widget is drawn and where the widget is placed.  <a href="#a569db174bec35957e0150f14b25a6423">More...</a><br /></td></tr>
<tr class="separator:a569db174bec35957e0150f14b25a6423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef5818b60938207990d1c57626b11f9d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aef5818b60938207990d1c57626b11f9d">clone</a> () const  =0</td></tr>
<tr class="memdesc:aef5818b60938207990d1c57626b11f9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of the widget if you don't know its exact type.  <a href="#aef5818b60938207990d1c57626b11f9d">More...</a><br /></td></tr>
<tr class="separator:aef5818b60938207990d1c57626b11f9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Transformable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Transformable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td></tr>
<tr class="memitem:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98900d9b8ec4166e5127532bfbd5cc59"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a> ()</td></tr>
<tr class="memdesc:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">setPosition</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a9e34aa4c19ae95ed71052c6409d8fbcc">More...</a><br /></td></tr>
<tr class="separator:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a> () const </td></tr>
<tr class="memdesc:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the position of the widget  <a href="#a2429a2ff2f3f83b702f20b4a8a0257dc">More...</a><br /></td></tr>
<tr class="separator:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;offset)</td></tr>
<tr class="memdesc:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#aff5580e6c49ade969ba71ea1c1330d2b">More...</a><br /></td></tr>
<tr class="separator:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#a792b77e86e9550b0b2c5912d4d7cebe5">More...</a><br /></td></tr>
<tr class="separator:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">setSize</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#a3bae3322ba22993ca9eacad060e3215c">More...</a><br /></td></tr>
<tr class="separator:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a> () const </td></tr>
<tr class="memdesc:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the widget.  <a href="#ac57d81556fbdbcf0d206b60ec835f3f4">More...</a><br /></td></tr>
<tr class="separator:ac57d81556fbdbcf0d206b60ec835f3f4 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a4f11a7e9d86943a5cc8114b2431c1570">getFullSize</a> () const </td></tr>
<tr class="memdesc:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the entire size that the widget is using.  <a href="#a4f11a7e9d86943a5cc8114b2431c1570">More...</a><br /></td></tr>
<tr class="separator:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;factors)</td></tr>
<tr class="memdesc:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a15575698ad5b40c34bc8c945244ec4d8">More...</a><br /></td></tr>
<tr class="separator:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a074f2ed8b35ede928678339b8f708b1c">More...</a><br /></td></tr>
<tr class="separator:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1SignalWidgetBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1SignalWidgetBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td></tr>
<tr class="memitem:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac37f925b9c8d2912db40050e59cb1bc8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#ac37f925b9c8d2912db40050e59cb1bc8">SignalWidgetBase</a> ()=default</td></tr>
<tr class="memdesc:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a57a9f27b40ff6f51583a64333c83405d">SignalWidgetBase</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;copy)</td></tr>
<tr class="memdesc:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a57a9f27b40ff6f51583a64333c83405d">More...</a><br /></td></tr>
<tr class="separator:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">operator=</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;right)</td></tr>
<tr class="memdesc:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a657777a2240d69c4be0cf52c977bea0f">More...</a><br /></td></tr>
<tr class="separator:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a3a310a997fdfb38e38688a6086832a95">connect</a> (const std::string &amp;signalNames, Func func, Args...args)</td></tr>
<tr class="memdesc:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a3a310a997fdfb38e38688a6086832a95">More...</a><br /></td></tr>
<tr class="separator:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9b0187cd74457415140526ba788504d1">connectEx</a> (const std::string &amp;signalName, Func func, Args...args)</td></tr>
<tr class="memdesc:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a9b0187cd74457415140526ba788504d1">More...</a><br /></td></tr>
<tr class="separator:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9e13634d49560b2941ebdd2a934b6a16">disconnect</a> (unsigned int id)</td></tr>
<tr class="memdesc:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnects a connection.  <a href="#a9e13634d49560b2941ebdd2a934b6a16">More...</a><br /></td></tr>
<tr class="separator:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a262641681a20ba2c42b9879faf60f857">disconnectAll</a> (const std::string &amp;signalName)</td></tr>
<tr class="memdesc:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a certain signal.  <a href="#a262641681a20ba2c42b9879faf60f857">More...</a><br /></td></tr>
<tr class="separator:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee50efdbdbbc1be9418dfbc1549ee4f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#aee50efdbdbbc1be9418dfbc1549ee4f2">disconnectAll</a> ()</td></tr>
<tr class="memdesc:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a all signals. <br /></td></tr>
<tr class="separator:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a05545f21decd950ac0bfee2d9b26e9e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a05545f21decd950ac0bfee2d9b26e9e2">attachTheme</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt; theme)</td></tr>
<tr class="memdesc:a05545f21decd950ac0bfee2d9b26e9e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attach a theme to the widget.  <a href="#a05545f21decd950ac0bfee2d9b26e9e2">More...</a><br /></td></tr>
<tr class="separator:a05545f21decd950ac0bfee2d9b26e9e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60f67dd2a04f761a47207e42a8f7910b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a60f67dd2a04f761a47207e42a8f7910b">reload</a> (const std::string &amp;primary=&quot;&quot;, const std::string &amp;secondary=&quot;&quot;, bool force=false)</td></tr>
<tr class="memdesc:a60f67dd2a04f761a47207e42a8f7910b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reload the widget.  <a href="#a60f67dd2a04f761a47207e42a8f7910b">More...</a><br /></td></tr>
<tr class="separator:a60f67dd2a04f761a47207e42a8f7910b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The parent class for every widget. </p>
<p>Signals</p><ul>
<li>PositionChanged (Position of the widget has changed)<ul>
<li>Optional parameter sf::Vector2f: New widget position</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'position'</li>
</ul>
</li>
<li>SizeChanged (Size of the widget has changed)<ul>
<li>Optional parameter sf::Vector2f: New widget size</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'size'</li>
</ul>
</li>
<li>Focused (<a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> gained focus)</li>
<li>Unfocused (<a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> lost focus)</li>
<li>MouseEntered (Mouse cursor entered in the <a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> area)</li>
<li>MouseLeft (Mouse cursor left the <a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> area) </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a662b5e56609f23b2bbff81cbaa5787e2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Widget::Widget </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copy constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">copy</td><td>Instance to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a05545f21decd950ac0bfee2d9b26e9e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Widget::attachTheme </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt;&#160;</td>
          <td class="paramname"><em>theme</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Attach a theme to the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">theme</td><td><a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> to be shared with this widget</td></tr>
  </table>
  </dd>
</dl>
<p>If a theme was already attached, it will receive a detach event </p>

</div>
</div>
<a class="anchor" id="aef5818b60938207990d1c57626b11f9d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> tgui::Widget::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of the widget if you don't know its exact type. </p>
<p>This function should only be used when you don't know the type of the widget. If you know what kind of widget you are copying, you should use the copy function.</p>
<dl class="section return"><dt>Returns</dt><dd>Copy of the widget </dd></dl>

<p>Implemented in <a class="el" href="classtgui_1_1ComboBox.html#ae6703c4cc40b2a76379d554ed1d7ee0b">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1ListBox.html#a36f6d45835c34e78a2d081f9873f8659">tgui::ListBox</a>, <a class="el" href="classtgui_1_1ChatBox.html#ad3877d752057a692b1eee62b6c809b73">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1EditBox.html#aa3d7707238e81d920d30050f9e98216d">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#aa78acee7debc54c81bd98c73755c540e">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1TextBox.html#a8b7178a9dcdf217c487f37e6928fe2f1">tgui::TextBox</a>, <a class="el" href="classtgui_1_1Tab.html#aa0ed43d969e3d04e385fd0e19d79a203">tgui::Tab</a>, <a class="el" href="classtgui_1_1Label.html#ad76df4d002a58dfab6d64d56b3836e75">tgui::Label</a>, <a class="el" href="classtgui_1_1Knob.html#a9b5e614b40ed19689873628d77ca6778">tgui::Knob</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a5da50c3abbc46581023d7c9f7c35fe3b">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1MenuBar.html#af5cb880e812560c0731ef85f6ddb8d0e">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Scrollbar.html#a120324dcd6fb026ca53ebd7b02384e53">tgui::Scrollbar</a>, <a class="el" href="classtgui_1_1SpinButton.html#afbab663903c7d7e600fb272ba99947ee">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1Slider.html#acf43221fe8ec3d6c51aec6132418e5cf">tgui::Slider</a>, <a class="el" href="classtgui_1_1Picture.html#a7a19e948652077c95ad43f47f2f985a5">tgui::Picture</a>, <a class="el" href="classtgui_1_1RadioButton.html#ae993a9f2b39321d1e27f3b78b687d28c">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#a7dbb4b4bfd4c9536a031a3ef1a137d8d">tgui::Button</a>, <a class="el" href="classtgui_1_1Grid.html#af473284d74f86b9396cc366b61dfab02">tgui::Grid</a>, <a class="el" href="classtgui_1_1MessageBox.html#ac7d10870e1dcf59cadda6e17bae11f0e">tgui::MessageBox</a>, <a class="el" href="classtgui_1_1Canvas.html#ae696744ec6180e66f0c2042248a404c0">tgui::Canvas</a>, <a class="el" href="classtgui_1_1Panel.html#aeacd47459e17cc24db90c22cfe15fb97">tgui::Panel</a>, <a class="el" href="classtgui_1_1CheckBox.html#a990b95f0174ab6972237b7dfbb1d82a9">tgui::CheckBox</a>, <a class="el" href="classtgui_1_1ClickableWidget.html#a49337a4540e76b45dec7695c7176ad65">tgui::ClickableWidget</a>, <a class="el" href="classtgui_1_1HorizontalLayout.html#a2f6442a76a90a57d9a0df606a7086e6e">tgui::HorizontalLayout</a>, and <a class="el" href="classtgui_1_1VerticalLayout.html#a59a6467c4cb0e3a85d22a75d68e754c8">tgui::VerticalLayout</a>.</p>

</div>
</div>
<a class="anchor" id="a62bbecb4ba75342b22786502e5383ac5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Widget::detachTheme </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Detach the theme from the widget. </p>
<p>The theme will be told that the widget no longer shares the theme with the other widgets </p>

</div>
</div>
<a class="anchor" id="a41615622bd4eb42fee629dd408bce7d4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::disable </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>blockMouseEvents</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Disables the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">blockMouseEvents</td><td>Should mouse events be passed to the widget behind this one or blocked?</td></tr>
  </table>
  </dd>
</dl>
<p>The widget will no longer receive events and it will thus no longer send callbacks. All widgets are enabled by default. </p>

</div>
</div>
<a class="anchor" id="a8f4ded5b008224a33623171ad2558168"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::enable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enables the widget. </p>
<p>The widget will receive events and send callbacks again. All widgets are enabled by default. </p>

</div>
</div>
<a class="anchor" id="a826330401141b9946307a5f4e3d1e988"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::focus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Focus the widget. </p>
<p>The previously focused widget will be unfocused.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9" title="Unfocus the widget. ">unfocus</a> </dd>
<dd>
focusNextWidget </dd></dl>

</div>
</div>
<a class="anchor" id="a59112dbb748fa92647ef86b823c227f1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Widget::getAbsolutePosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the absolute position of the widget instead of the relative position to its parent. </p>
<dl class="section return"><dt>Returns</dt><dd>Position of the widget </dd></dl>

</div>
</div>
<a class="anchor" id="aec2d0dec0156536b93216797de49b497"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;sf::Font&gt; tgui::Widget::getFont </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the font associated with the widget (if any) </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classtgui_1_1Font.html">Font</a> used by widget </dd></dl>

</div>
</div>
<a class="anchor" id="a7ab7b54eb87d1c7b28ad36fa5a8281ec"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float tgui::Widget::getOpacity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the opacity of the widget. </p>
<dl class="section return"><dt>Returns</dt><dd>The opacity of the widget. 0 means completely transparent, while 1 (default) means fully opaque. </dd></dl>

</div>
</div>
<a class="anchor" id="a0cf4e57ff28230753afe8197e8945a3a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Container.html">Container</a>* tgui::Widget::getParent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a pointer to the parent widget. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the parent. </dd></dl>

</div>
</div>
<a class="anchor" id="aa32ce148343fd2a0f59d6dbcc3028883"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string tgui::Widget::getPrimaryLoadingParameter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the primary parameter that was passed to the loader to load this widget. </p>
<dl class="section return"><dt>Returns</dt><dd>Primary loading parameter </dd></dl>

</div>
</div>
<a class="anchor" id="a6d296b4082518366caeb0d3101d0320f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>&gt; tgui::Widget::getRenderer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the renderer, which gives access to functions that determine how the widget is displayed. </p>
<dl class="section return"><dt>Returns</dt><dd>Reference to the renderer </dd></dl>

</div>
</div>
<a class="anchor" id="a97e7325f223c7c49105b3b859542b652"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string tgui::Widget::getSecondaryLoadingParameter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the secondary parameter that was passed to the loader to load this widget. </p>
<dl class="section return"><dt>Returns</dt><dd>Primary loading parameter </dd></dl>

</div>
</div>
<a class="anchor" id="ab5bb8483e23d877c386d632ca7ca2879"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a>&gt; tgui::Widget::getTheme </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the theme to which the widget is currently connected. </p>
<dl class="section return"><dt>Returns</dt><dd>Currently shared theme (if any) </dd></dl>

</div>
</div>
<a class="anchor" id="a0e6e54fbaba931d0bb8eb0404e2e1c22"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> tgui::Widget::getToolTip </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the tool tip that is displayed when hovering over the widget. </p>
<dl class="section return"><dt>Returns</dt><dd>The widget that is used as tool tip or nullptr when no tool tip has been set </dd></dl>

</div>
</div>
<a class="anchor" id="a569db174bec35957e0150f14b25a6423"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Widget::getWidgetOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the distance between the position where the widget is drawn and where the widget is placed. </p>
<p>This is basically the width and height of the optional borders drawn around widgets.</p>
<dl class="section return"><dt>Returns</dt><dd>Offset of the widget </dd></dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBox.html#af21c38d9584457bc85cdfc8cffadd238">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1ListBox.html#a8ef7188d8ce555063813fb05c668065c">tgui::ListBox</a>, <a class="el" href="classtgui_1_1ChatBox.html#a14803d947e5ea9e38103a2801512c7a5">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1EditBox.html#acfa8399865f5dba4dadd652b679c7dd4">tgui::EditBox</a>, <a class="el" href="classtgui_1_1Tab.html#a3d178cdc8b07d9dfb05411773de21c08">tgui::Tab</a>, <a class="el" href="classtgui_1_1Label.html#aa9c1a7adec99b301d742f18c9dff0545">tgui::Label</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a17f4489f795840cbce8fbe5fb8543a43">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1TextBox.html#aef03f0cbf51951d92ae01dcc43c96905">tgui::TextBox</a>, <a class="el" href="classtgui_1_1Knob.html#ad52780eb750fec4c7f4ece4c0151b65c">tgui::Knob</a>, <a class="el" href="classtgui_1_1SpinButton.html#a66538761902cd7670d6f8ada1556568f">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1Slider.html#a13e3acfb1c6662c07f2e9a1a738a910d">tgui::Slider</a>, and <a class="el" href="classtgui_1_1Button.html#afecb9256c0c56fcaf42c03df7ad21ca0">tgui::Button</a>.</p>

</div>
</div>
<a class="anchor" id="a52f98861e54bde43ccab0abe5733bfff"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; tgui::Widget::getWidgetType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the type of the widget. </p>
<dl class="section return"><dt>Returns</dt><dd>Type of the widget </dd></dl>

</div>
</div>
<a class="anchor" id="a4234b30173259e7b5082a58a9f0e2ca6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::hide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Hides the widget. </p>
<p>The widget won't receive events (and thus won't send callbacks) nor will it be drawn when hidden. The widget is visible by default. </p>

</div>
</div>
<a class="anchor" id="a9bcb2d85d7e449ef7305771256ec79bf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::hideWithEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Time&#160;</td>
          <td class="paramname"><em>duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Hides the widget by making it leave with an animation. </p>
<p>If the widget is already hidden then the animation will still play but you will not see it.</p>
<p>During the animation the position, size and/or opacity may change. Once the animation is done the widget will be back in the state in which it was when this function was called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>Type of the animation </td></tr>
    <tr><td class="paramname">duration</td><td>Duration of the animation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af6770fc71c644b645bf28f31c4efd2d1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Widget::isEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true when the widget is enabled. </p>
<dl class="section return"><dt>Returns</dt><dd>Is the widget enabled?</dd></dl>
<p>If this function returns false then the widget is disabled and will longer receive events and it will thus no longer send callbacks. All widgets are enabled by default. </p>

</div>
</div>
<a class="anchor" id="af9a2f1246195375dea450655b23cdf6d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Widget::isFocused </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true when the widget is focused and false otherwise. </p>
<dl class="section return"><dt>Returns</dt><dd>Is the widget focused? </dd></dl>

</div>
</div>
<a class="anchor" id="ac30d0e386c262c5e830fdcc994584993"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Widget::isVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true when the widget is visible. </p>
<dl class="section return"><dt>Returns</dt><dd>Is the widget visible?</dd></dl>
<p>If this function returns false then the widget is hidden, which means that it won't receive events (and thus won't send callbacks) and it won't be drawn. All widgets are visible by default. </p>

</div>
</div>
<a class="anchor" id="a97362423551dca5b90e86fc63ddc3eca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Widget.html">Widget</a>&amp; tgui::Widget::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;&#160;</td>
          <td class="paramname"><em>right</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Overload of assignment operator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">right</td><td>Instance to assign</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Reference to itself </dd></dl>

</div>
</div>
<a class="anchor" id="a60f67dd2a04f761a47207e42a8f7910b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::reload </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>primary</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>secondary</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>force</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reload the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">primary</td><td>Primary parameter for the loader </td></tr>
    <tr><td class="paramname">secondary</td><td>Secondary parameter for the loader </td></tr>
    <tr><td class="paramname">force</td><td>Try to only change the looks of the widget and not alter the widget itself when false</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when the connected theme could not create the widget</td></tr>
  </table>
  </dd>
</dl>
<p>When primary is an empty string the built-in white theme will be used. </p>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBox.html#a16b57fc625c17ba25643b3930c5fce51">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1ListBox.html#a72152bda2dfe550982fa1d6fef21711c">tgui::ListBox</a>, <a class="el" href="classtgui_1_1ChatBox.html#a2d7ca29bc51f03db6b2966525c67ba8b">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#a24f36c89571747f684b0301fd91626c2">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1EditBox.html#ad40eb8c454eeb246d9aeb6fd9014774b">tgui::EditBox</a>, <a class="el" href="classtgui_1_1TextBox.html#ab49c36ff08fbe2b85d3b3eabcfeab21c">tgui::TextBox</a>, <a class="el" href="classtgui_1_1Tab.html#ad5ecd21216d8eed81a211329edf72c9e">tgui::Tab</a>, <a class="el" href="classtgui_1_1Label.html#a1888555da6e124ddca980ce0a15eba2d">tgui::Label</a>, <a class="el" href="classtgui_1_1Knob.html#ad2bc42896755d2d1a87b92c49db9393e">tgui::Knob</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a59c8c3ccbf6c2caaaa068fb280cb2e69">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1MenuBar.html#aaa3c83f00bfb1a0440e5f0006d03a29b">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Scrollbar.html#add2726407aec32e92d0b1fcf5f7a1844">tgui::Scrollbar</a>, <a class="el" href="classtgui_1_1SpinButton.html#a0626be3d55ddf9b96c05074a915e4bd1">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1Slider.html#aef4845ecc25b3b6ba08633b39ff108ec">tgui::Slider</a>, <a class="el" href="classtgui_1_1RadioButton.html#af19d7a9d00feba2aa9008a13c058e9c3">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#a1c78e51263f1f10b47ee8ba0121e49b0">tgui::Button</a>, and <a class="el" href="classtgui_1_1MessageBox.html#a5266dfbca208e8c4a3fd9b369d25856e">tgui::MessageBox</a>.</p>

</div>
</div>
<a class="anchor" id="a0b814d5ba9c02a9448fa0d0810bcfeba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::setFont </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the font of the text in the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td>The new font.</td></tr>
  </table>
  </dd>
</dl>
<p>When you don't call this function then the font from the parent widget will be used.</p>
<p>Some widget don't need a font and won't do anything when this function is called. </p>

<p>Reimplemented in <a class="el" href="classtgui_1_1ChatBox.html#a281fca5b83995095d6d74cd74423f524">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#a022de33bb82e5645fbd084e985862bb3">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1ListBox.html#a2d102b2fa85cceb1a0dbb4aaa491abc7">tgui::ListBox</a>, <a class="el" href="classtgui_1_1Label.html#a7c421eab75641a5301a24608eaa95f45">tgui::Label</a>, <a class="el" href="classtgui_1_1EditBox.html#aa7a407e4fa0feaaa354c8e43af3e6d39">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ComboBox.html#a997cc8cda0cca3f292842c29c2ba5e93">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1TextBox.html#a321a00b812caa5f4ef128f8fa812c249">tgui::TextBox</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a26888f3aed859b968516fd5191e6f011">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1Tab.html#a20d0a37af4d2af70bf1b2bcd93178ead">tgui::Tab</a>, <a class="el" href="classtgui_1_1RadioButton.html#a7eebb95558ba271594fbb870288e43fc">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#a2b19fde26bd295fd8b4846240c415e76">tgui::Button</a>, <a class="el" href="classtgui_1_1MenuBar.html#add65aa88aa62b3bf9a8885894563eeb7">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1MessageBox.html#a781fa09e4c79265fef5981dac1dc6333">tgui::MessageBox</a>, <a class="el" href="classtgui_1_1Container.html#a7d4a9e6fca69f51ba11c12d6512768c0">tgui::Container</a>, and <a class="el" href="classtgui_1_1BoxLayout.html#a64b8eb552a3a441ad9a1b3ee767e7569">tgui::BoxLayout</a>.</p>

</div>
</div>
<a class="anchor" id="abc86b091f871010533312fe77cbc2f78"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::setOpacity </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>opacity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the opacity of the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">opacity</td><td>The opacity of the widget. 0 means completely transparent, while 1 (default) means fully opaque. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBox.html#af7eecb25e68a1a455674359801bd6191">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1ListBox.html#ad9b574fb3e607d6c899d7fdcfe74e39a">tgui::ListBox</a>, <a class="el" href="classtgui_1_1ChatBox.html#a01c50d7978321acfdd68af305eb1694d">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1EditBox.html#ac7bfe8a0c230a18484efa9bf1a4db54f">tgui::EditBox</a>, <a class="el" href="classtgui_1_1Tab.html#a79f50d4469aadb318e3e156ccaef087c">tgui::Tab</a>, <a class="el" href="classtgui_1_1Label.html#a4834c8141a78320a627b60592d13e0da">tgui::Label</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a55ef87e583db0b0b24a5a9a77f553687">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1TextBox.html#a866b942be7cba87a1eadf96bdb89bcbc">tgui::TextBox</a>, <a class="el" href="classtgui_1_1Knob.html#a683cc1da507c04ac3d19b7fa9219324f">tgui::Knob</a>, <a class="el" href="classtgui_1_1MenuBar.html#aca310b94d416b39e796a0281d4e89545">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Container.html#aae02dfdaba09fa0bd39057ab8580188c">tgui::Container</a>, <a class="el" href="classtgui_1_1Picture.html#abad3770507bb305c85c5efda32b2b683">tgui::Picture</a>, <a class="el" href="classtgui_1_1Scrollbar.html#a89290d650a694b9cd8aff5d91f2b4df5">tgui::Scrollbar</a>, <a class="el" href="classtgui_1_1SpinButton.html#a91147dd0859f2e2888ba001844771912">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1RadioButton.html#ad2ba086303bde46569b2a126090b0ce3">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1ChildWindow.html#a4ee553b708634743f62b3e8b594ab75a">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1Slider.html#a22b2ee7b8535f91d3705086ceced1571">tgui::Slider</a>, <a class="el" href="classtgui_1_1Button.html#ad1d353e149926bc9cdc69cb085e1af47">tgui::Button</a>, and <a class="el" href="classtgui_1_1Canvas.html#a9353212cf78c6522fd3697548c247c56">tgui::Canvas</a>.</p>

</div>
</div>
<a class="anchor" id="a299706f20b12cbe65422c6e53493e12d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::setPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>set the position of the widget </p>
<p>This function completely overwrites the previous position. See the move function to apply an offset based on the previous position instead. The default position of a transformable widget is (0, 0).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>New position</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b" title="Move the widget by a given offset. ">move</a>, <a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc" title="get the position of the widget ">getPosition</a></dd></dl>
<p>Usage examples: </p><div class="fragment"><div class="line"><span class="comment">// Place the widget on an exact position</span></div><div class="line">widget-&gt;setPosition({40, 30});</div><div class="line"></div><div class="line"><span class="comment">// Place the widget 50 pixels below another widget</span></div><div class="line">widget-&gt;setPosition(otherWidget-&gt;getPosition() + sf::Vector2f{0, otherWidget-&gt;getSize().y + 50});</div><div class="line"></div><div class="line"><span class="comment">// Place the widget 50 pixels below another widget and automatically move it when the other widget moves</span></div><div class="line">widget-&gt;setPosition({<a class="code" href="namespacetgui.html#aea0ae0fd5751d1245c5a050d12932778">tgui::bindLeft</a>(otherWidget), <a class="code" href="namespacetgui.html#adbaac1043a07a0095c3ee90d6070b70b">tgui::bindBottom</a>(otherWidget) + 50});</div></div><!-- fragment --> 
<p>Reimplemented from <a class="el" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1Picture.html#abb28fa8786eb5c2d9b4621306a686566">tgui::Picture</a>, <a class="el" href="classtgui_1_1ListBox.html#a98770b4bc92f5e09f2c3d600263c346b">tgui::ListBox</a>, <a class="el" href="classtgui_1_1EditBox.html#ab58c8af9ec09f37ccb5dbf0ddfe55b93">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#a4a7d5caf381281a794601d6811297c22">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1Label.html#a99c3e0fbbf853971a543cd5ab638b772">tgui::Label</a>, <a class="el" href="classtgui_1_1ComboBox.html#a6fbe3736a19d961968a93f35a4ba8b32">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1TextBox.html#a5a4c65bfb56db5d5f6b0fe4cd4455cd4">tgui::TextBox</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a16589cf9240d0c940a27438f4c31b732">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1Canvas.html#a6634f37c6c24f8c25ed123658c2f06fe">tgui::Canvas</a>, <a class="el" href="classtgui_1_1RadioButton.html#abaae2918e0ddc05a24563501ed28b276">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#ada790fc10403717184773792242379b1">tgui::Button</a>, <a class="el" href="classtgui_1_1Slider.html#a4b05c2fdedf36b1e89291f178ad311cd">tgui::Slider</a>, <a class="el" href="classtgui_1_1SpinButton.html#a9a9e7b9a2af188efd597b426f97f4146">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1MenuBar.html#a933d96def325503a80b23c6f849ab499">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Knob.html#a2d5fbe13e06848ade9a2afa0ca203b33">tgui::Knob</a>, <a class="el" href="classtgui_1_1Scrollbar.html#af1d13ece47cc78f8e218255641521ff2">tgui::Scrollbar</a>, and <a class="el" href="classtgui_1_1Tab.html#af51601a1692dce56e32490db53249427">tgui::Tab</a>.</p>

</div>
</div>
<a class="anchor" id="aa780b3b9e657ea6b3acecd2045593cca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::setSize </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the widget</td></tr>
  </table>
  </dd>
</dl>
<p>Usage examples: </p><div class="fragment"><div class="line"><span class="comment">// Give the widget an exact size</span></div><div class="line">widget-&gt;setSize({40, 30});</div><div class="line"></div><div class="line"><span class="comment">// Make the widget 50 pixels higher than some other widget</span></div><div class="line">widget-&gt;setSize(otherWidget-&gt;getSize() + sf::Vector2f{0, 50});</div><div class="line"></div><div class="line"><span class="comment">// Make the widget 50 pixels higher than some other widget and automatically resize it when the other widget resizes</span></div><div class="line">widget-&gt;setSize(<a class="code" href="namespacetgui.html#a980dd88c8757152349370c5dee94ee61">tgui::bindSize</a>(otherWidget) + sf::Vector2f{0, 50});</div></div><!-- fragment --> 
<p>Reimplemented from <a class="el" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable</a>.</p>

<p>Reimplemented in <a class="el" href="classtgui_1_1Picture.html#a4fab9d212933870d1ff0e30fb5139871">tgui::Picture</a>, <a class="el" href="classtgui_1_1ListBox.html#aa2696ce750ad4fd29418d6749547a5fa">tgui::ListBox</a>, <a class="el" href="classtgui_1_1Label.html#a45842c5252974d8d04c9e9a320d756ff">tgui::Label</a>, <a class="el" href="classtgui_1_1EditBox.html#adce8afe4ae78efd245f899034606bc85">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#aec967e7a4232d4159095de6b3bf511e0">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1ComboBox.html#a1ec641a5605129cad9ba2d15d48ce0e5">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1TextBox.html#a744eb583f7dcc2c4aa17eb50bbc819ad">tgui::TextBox</a>, <a class="el" href="classtgui_1_1ProgressBar.html#aaf03ec209d41554dcd40028d555795e2">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1ChatBox.html#a9d9f808b82a3885ad8a17d9f6ab84833">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1Canvas.html#a28e7ab2a0cbb4b12486ef4ef98502075">tgui::Canvas</a>, <a class="el" href="classtgui_1_1Grid.html#adaaddc0070116fee2199e7cc68279aeb">tgui::Grid</a>, <a class="el" href="classtgui_1_1Tab.html#af18ffe805d49b6bda67268e4343f0bd4">tgui::Tab</a>, <a class="el" href="classtgui_1_1RadioButton.html#a5dfd52c9dd7e37418c089693d64220ac">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#a29164fc0555e584cda9724ae6085f36b">tgui::Button</a>, <a class="el" href="classtgui_1_1MenuBar.html#acada075ee962a1063f4c1cbf2e270917">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Slider.html#ab34d767373e91988ebc658f4bf7231ca">tgui::Slider</a>, <a class="el" href="classtgui_1_1SpinButton.html#a2982d384d9c5d6caccc013faee8a8915">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1Knob.html#a9e5fc0db87197d34e45f0901610ffec0">tgui::Knob</a>, <a class="el" href="classtgui_1_1Scrollbar.html#a5128688da870c4c6555a5ce4ac9f0328">tgui::Scrollbar</a>, and <a class="el" href="classtgui_1_1BoxLayout.html#aeb79b1eb5ce71084098af8cc789151f0">tgui::BoxLayout</a>.</p>

</div>
</div>
<a class="anchor" id="ae4f30ef364bf7594ec209688a9b43ec5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Widget::setToolTip </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td>
          <td class="paramname"><em>toolTip</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the tool tip that should be displayed when hovering over the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">toolTip</td><td>Any widget that you want to use as a tool tip (usually a <a class="el" href="classtgui_1_1Label.html" title="Label widget. ">Label</a>) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae3881afdad82cf8c2bd12f36238c04fe"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::show </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Shows the widget. </p>
<p>The widget is visible by default.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6" title="Hides the widget. ">hide</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a71432e6c38c2110991cd3856cf74670b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::showWithEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::Time&#160;</td>
          <td class="paramname"><em>duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Shows the widget by introducing it with an animation. </p>
<p>The animation will also be played if the widget was already visible.</p>
<p>During the animation the position, size and/or opacity may change. Once the animation is done the widget will be back in the state in which it was when this function was called.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>Type of the animation </td></tr>
    <tr><td class="paramname">duration</td><td>Duration of the animation</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf" title="Hides the widget by making it leave with an animation. ">hideWithEffect</a> </dd></dl>

</div>
</div>
<a class="anchor" id="afc53e1f70feeeb498c042d7d741528c9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Widget::unfocus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Unfocus the widget. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988" title="Focus the widget. ">focus</a> </dd>
<dd>
focusNextWidget </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Widget_8hpp_source.html">Widget.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
